##
## requires sun make
## requires MATISSE_HOME to be set to install directory
##

MV=/bin/mv
RM=/bin/rm -f
CP=/bin/cp

# lib for matisse
MATISSE_LIBS=-lmatisse
# lib for Matisse Lite
#MATISSE_LIBS=-lmatisselite
CPPFLAGS=-I${MATISSE_HOME}/include 
LDFLAGS=-L${MATISSE_HOME}/lib

# sun CC compiler

CCLIB_OPT=-library=Cstd,Crun -staticlib=Cstd,Crun
CXX=CC

# debug version
#CXXFLAGS = -g -mt  -instances=static ${CCLIB_OPT} -DDEBUG
CXXFLAGS = -xO2 -mt  -instances=static ${CCLIB_OPT}


LINK=$(CXX) -mt ${CCLIB_OPT}
AR=$(CXX)

# to find matisseCXX.cpp
VPATH=$(MATISSE_HOME)/include

## the Connect application
EVENTS_SRCS=\
	matisseCXX.cpp\
	EventsExample.cpp

EVENTS_OBJS=$(EVENTS_SRCS:.cpp=.o)
EVENTS_EXEC=EventsExample

ALL_OBJS = $(EVENTS_OBJS)
ALL_EXECS=$(EVENTS_EXEC)

default: $(ALL_EXECS)


$(EVENTS_EXEC) : $(EVENTS_OBJS)
	$(LINK) -o $@ $(EVENTS_OBJS) ${LDFLAGS} $(MATISSE_LIBS)


clean:
	$(RM) ${ALL_OBJS} $(ALL_EXECS)


%.o : %.cpp
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $< -o $@
